Package org.opensaml.saml.common.messaging.context

# Class SAMLMetadataLookupParametersContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.SAMLMetadataLookupParametersContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class SAMLMetadataLookupParametersContext extends BaseContext
Context for operational parameters that influence the lookup of SAML metadata.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private BiConsumer<MessageContext,CriteriaSet>`
`criteriaExtender`
An extender hook that can add additional `Criterion` objects.
`private DetectDuplicateEntityIDs`
`detectDuplicateEntityIDs`
The strategy for duplicate entityID detection.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMetadataLookupParametersContext()`

## Method Summary

Modifier and Type
Method
Description
`BiConsumer<MessageContext,CriteriaSet>`
`getCriteriaExtender()`
Get a callable hook for extending the `CriteriaSet` used for metadata resolution.
`DetectDuplicateEntityIDs`
`getDetectDuplicateEntityIDs()`
Get the strategy for duplicate entityID detection.
`SAMLMetadataLookupParametersContext`
`setCriteriaExtender(BiConsumer<MessageContext,CriteriaSet> extender)`
Set a callable hook for extending the `CriteriaSet` used for metadata resolution.
`SAMLMetadataLookupParametersContext`
`setDetectDuplicateEntityIDs(DetectDuplicateEntityIDs strategy)`
Set the strategy for duplicate entityID detection.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### detectDuplicateEntityIDs

@Nullable private DetectDuplicateEntityIDs detectDuplicateEntityIDs
The strategy for duplicate entityID detection.

### criteriaExtender

@Nullable private BiConsumer<MessageContext,CriteriaSet> criteriaExtender
An extender hook that can add additional `Criterion` objects.

## Constructor Details

### SAMLMetadataLookupParametersContext

public SAMLMetadataLookupParametersContext()

## Method Details

### getDetectDuplicateEntityIDs

@Nullable public DetectDuplicateEntityIDs getDetectDuplicateEntityIDs()
Get the strategy for duplicate entityID detection.

Returns:
  strategy for duplicate entityID detection

### setDetectDuplicateEntityIDs

@Nonnull public SAMLMetadataLookupParametersContext setDetectDuplicateEntityIDs(@Nullable DetectDuplicateEntityIDs strategy)
Set the strategy for duplicate entityID detection.

Parameters:
  `strategy` - the strategy for duplicate entityID detection
Returns:
  this context

### getCriteriaExtender

@Nullable public BiConsumer<MessageContext,CriteriaSet> getCriteriaExtender()
Get a callable hook for extending the `CriteriaSet` used for metadata resolution.

Returns:
  callable hook
Since:
  5.1.0

### setCriteriaExtender

@Nonnull public SAMLMetadataLookupParametersContext setCriteriaExtender(@Nullable BiConsumer<MessageContext,CriteriaSet> extender)
Set a callable hook for extending the `CriteriaSet` used for metadata resolution.

Parameters:
  `extender` - callable hook
Returns:
  this context
Since:
  5.1.0